## org.gnu.pango
Class AttrShape

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.pango.Attribute
                  org.gnu.pango.AttrShape

public class AttrShape
extends Attribute

The AttrShape structure is used to represent attributes which impose shape restrictions.

Constructor Summary
`AttrShape()`

Method Summary
`Rectangle` `getInkRect()` Returns the ink rectangle to restrict to.
`Rectangle` `getLogicalRect()` Returns the logical rectangle to restrict to.

Methods inherited from class org.gnu.pango.Attribute
`getEndIndex, getStartIndex`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrShape

    public AttrShape()

Method Detail

### getInkRect

    public Rectangle getInkRect()

  Returns the ink rectangle to restrict to.

### getLogicalRect

    public Rectangle getLogicalRect()

  Returns the logical rectangle to restrict to.